summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2019-04-07 14:22:36 -0700
committerMatt Turner <mattst88@gentoo.org>2019-04-07 14:23:12 -0700
commit827754d554b5df43c96c6e904a0cc05fffa477eb (patch)
tree4bff67a6946716cf03f8ec77f95aeeb19b1a5c55
parentmedia-gfx/jhead: keyworded 3.00-r2 for ppc64, bug #682322 (diff)
downloadgentoo-827754d554b5df43c96c6e904a0cc05fffa477eb.tar.gz
gentoo-827754d554b5df43c96c6e904a0cc05fffa477eb.tar.bz2
gentoo-827754d554b5df43c96c6e904a0cc05fffa477eb.zip
xorg-3.eclass: Remove developer documentation unless requested
Closes: https://bugs.gentoo.org/595936 Signed-off-by: Matt Turner <mattst88@gentoo.org>
-rw-r--r--eclass/xorg-3.eclass5
1 files changed, 5 insertions, 0 deletions
diff --git a/eclass/xorg-3.eclass b/eclass/xorg-3.eclass
index 15bb0b381a36..d4e52846edf5 100644
--- a/eclass/xorg-3.eclass
+++ b/eclass/xorg-3.eclass
@@ -367,6 +367,11 @@ xorg-3_src_install() {
emake DESTDIR="${D}" "${install_args[@]}" "$@" install || die "emake install failed"
fi
+ # Many X11 libraries unconditionally install developer documentation
+ if ! use_if_iuse doc; then
+ rm -rf "${D}"/usr/share/man/*
+ fi
+
# Don't install libtool archives (even for modules)
find "${D}" -type f -name '*.la' -delete || die
}